> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Delete All User Data Status

> Get the status of the data deletion process for a user.

Use this API to get the status of the data deletion process for a user.

> [!WARNING]
>
> This API may take a few seconds to return a response depending on the dataset size.

# Endpoint

`POST https://api.velt.dev/v2/users/data/delete/status`

# Headers

**x-velt-api-key** `string` *required*

Your API key.

**x-velt-auth-token** `string` *required*

Your [Auth Token](https://velt.dev/docs/security/auth-tokens.md).

# Body

#### Params

**data** `object` *required*

**properties**

**jobId** `string` *required*

The job Id of the data deletion process.

## **Example Request**

```JSON theme={null}
{
  "data": {
    "jobId": "yourJobId"
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
    "result": {
        "status": "success",
        "message": "Data fetched successfully.",
        "data": {
            "isDeleteCompleted": true,
            "tasksLeft": 0,
            "lastTaskCompletedTime": 1748972106739
        }
    }
}
```

#### Failure Response

```JSON theme={null}
{
   "error": {
       "message": "ERROR_MESSAGE",
       "status": "INVALID_ARGUMENT",
       "code": 500
   }
}
```

```js theme={null}
{
    "result": {
        "status": "success",
        "message": "Data fetched successfully.",
        "data": {
            "isDeleteCompleted": true,
            "tasksLeft": 0,
            "lastTaskCompletedTime": 1748972106739
        }
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.